#
# spec file for package zisofs-tools
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           zisofs-tools
VCS: https://src.suse.de/SLFO-pool/zisofs-tools#d5ec2201819db914724e6f612064bec54ef5b99c21e0b08f32cb0bf730ea446f
Version:        1.0.8
Release:        160000.1.10
Summary:        User tools for zisofs
License:        GPL-2.0-or-later
Group:          System/Filesystems
URL:            https://git.kernel.org/pub/scm/fs/zisofs/zisofs-tools.git/
Source:         https://git.kernel.org/pub/scm/fs/zisofs/zisofs-tools.git/snapshot/%{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  zlib-devel
Requires:       mkisofs

%description
Zisofs-tools, in conjunction with a zisofs-enabled system, allows the
creation of an ISO-9660 filesystem that can be decompressed "live" on a
file-by-file basis, while still being readable by systems without
zisofs support. This package contains the tools necessary to create
such a filesystem and read compressed files on a system without zisofs
support.

%prep
%setup -q

%build
autoconf
autoheader
%configure
%make_build

%install
make INSTALLROOT=%{buildroot} install

%files
%license COPYING
%doc CHANGES README
%{_bindir}/mkzftree
%{_mandir}/man1/mkzftree.1%{?ext_man}

%changelog
* Thu May 11 2023 fcrozat@suse.com
- Fix url and download to up to date location.
- Add autoconf as BuildRequires.
* Fri Mar 12 2021 dmueller@suse.com
- refresh spec file (update licensedir)
* Sat Nov  7 2015 mpluskal@suse.com
- Use macro for configure
- Cleanup spec file with spec-cleaner
- Don't ship INSTALL file
* Fri Oct 30 2015 jkeil@suse.de
- require mkisofs package instead of /usr/bin/mkisofs
  * Depending on the binary results in a conflict between
    the cdrkit-cdrtools-compat and mkisofs packages.
  * cdrkit-cdrtools-compat is to be replaced by cdrtools,
    which provides the mkisofs package
* Sun Oct  5 2014 jengelh@inai.de
- Use Source URLs and remove redundant %%clean section
* Thu Jun  6 2013 mhrusecky@suse.com
- require /usr/bin/mkisofs instead of mkisofs package
* Sat Oct 30 2010 jengelh@medozas.de
- Use %%_smp_mflags
* Mon Feb 15 2010 dimstar@opensuse.org
- Update to version 1.0.8:
  + This release fixes the --sloppy option, which was documented
    but did not work.
- Spec cleanup.
* Thu Mar 29 2007 rguenther@suse.de
- add zlib-devel BuildRequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep  1 2004 nadvornik@suse.cz
- updated to 1.0.6
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Fri Jul 25 2003 nadvornik@suse.cz
- updated to 1.0.4
- added BuildRoot
* Thu Jun 13 2002 uli@suse.de
- update -> 1.0.3 (cosmetic)
* Tue Oct 30 2001 uli@suse.de
- initial package
